Name: 		kiran-cc-daemon
Version:	2.1.0
Release:	5%{?dist}
Summary:	DBus daemon for Kiran Desktop

License:	Mulan PSL v2
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	cmake >= 3.2
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(giomm-2.4)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	systemd-devel
BuildRequires:  libselinux-devel
BuildRequires:  gettext
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	libX11-devel
BuildRequires:	xerces-c-devel
BuildRequires:	xsd
BuildRequires:	fontconfig-devel
BuildRequires:	jsoncpp-devel
BuildRequires:	cairomm-devel
BuildRequires:	fmt-devel >= 6.2.1
BuildRequires:  python%{python3_pkgversion}-jinja2
BuildRequires:	gdbus-codegen-glibmm
BuildRequires:  gtest-devel
BuildRequires:  upower-devel
BuildRequires:  libnotify-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  kiran-log-gtk3-devel


%description
DBus daemon for Kiran Desktop


%package -n kiran-system-daemon
Summary:    System DBus daemon for Kiran Desktop
Requires:   systemd
Requires:   dbus-daemon
Requires:   polkit
Requires:   kiran-cc-daemon-common
Requires:   util-linux
Requires:   pciutils

%description -n kiran-system-daemon
System DBus daemon for Kiran Desktop

%package -n kiran-session-daemon
Summary:    Session DBus daemon for Kiran Desktop
Requires:   dbus-daemon
Requires:   kiran-session-manager
Requires:   xorg-x11-server-utils
Requires:   kiran-cc-daemon-common
Requires:   upower
Requires:   pulseaudio

%description -n kiran-session-daemon
Session DBus daemon for Kiran Desktop

%package common
Summary:    Common files for kiran-session-daemon and kiran-system-daemon

%description common
Common files for kiran-session-daemon and kiran-system-daemon

%package devel
Summary:    Development files for communicating with control center daemon

%description devel
Development files for communicating with control center daemon

%prep
%autosetup -p1

%build
%cmake -Denable-plugin-display=true -Denable-plugin-mouse=true -Denable-plugin-touchpad=true -DBUILD_SHARED_LIBS:BOOL=OFF
make %{?_smp_mflags}


%install
%make_install

%post -n kiran-system-daemon
%systemd_post kiran-system-daemon.service
systemctl enable kiran-system-daemon.service

%preun -n kiran-system-daemon
%systemd_preun kiran-system-daemon.service

%post -n kiran-session-daemon
glib-compile-schemas /usr/share/glib-2.0/schemas

%files -n kiran-system-daemon
%{_sysconfdir}/dbus-1/system.d/*.conf
%config(noreplace) %{_sysconfdir}/kiran-cc-daemon/system/timedate/timedate.conf
%{_bindir}/kiran-system-daemon
%{_usr}/lib/systemd/system/*.service
%{_libdir}/kiran-cc-daemon/system/*.so
%{_libdir}/kiran-cc-daemon/system/plugin_options
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/locale/zh_CN/LC_MESSAGES/kiran-cc-daemon-timezones.mo
%{_datadir}/polkit-1/actions/*.policy

%files -n kiran-session-daemon
%{_sysconfdir}/xdg/autostart/kiran-session-daemon.desktop
%{_sysconfdir}/lightdm/kiran-greeter.conf
%{_bindir}/kiran-session-daemon
%{_bindir}/kiran-power-backlight-helper
%{_libdir}/kiran-cc-daemon/session/*.so
%{_libdir}/kiran-cc-daemon/session/plugin_options
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/locale/zh_CN/LC_MESSAGES/*.mo

%files common
%{_includedir}/kiran-cc-daemon/error-i.h
%{_datadir}/locale/zh_CN/LC_MESSAGES/kiran-cc-daemon.mo

%files devel
%dir %{_includedir}/kiran-cc-daemon
%dir %{_includedir}/kiran-cc-daemon/kiran-system-daemon
%dir %{_includedir}/kiran-cc-daemon/kiran-session-daemon
%{_includedir}/kiran-cc-daemon/kiran-system-daemon/*_i.h
%{_includedir}/kiran-cc-daemon/kiran-system-daemon/*-i.h
%{_includedir}/kiran-cc-daemon/kiran-session-daemon/*_i.h
%{_includedir}/kiran-cc-daemon/kiran-session-daemon/*-i.h
%{_libdir}/pkgconfig/kiran-cc-daemon.pc

%changelog
* Mon Oct 18 2021 xiewenhao <xiewenhao@kylinos.com.cn> 2.1.0-4
- KYOS-B: fix license information (#43502)

* Fri Sep 10 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.1.0-3.ky3
- KYOS-B: Fix the compile error in KY3.3-9.

* Thu Sep 09 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.1.0-2.ky3
- KYOS-F: Rebuild for 2.1.0-1

* Wed Sep 08 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.1.0-1.ky3
- KYOS-B: Accounts plugin doesn't create cached file default when a user is added. (#43305)
- KYOS-F: Modify the display.xml saved directory.
- KYOS-F: Modify the default value for gtk-font-name in gsettings.
- KYOS-F: Change license to MulanPSL2.

* Mon Aug 09 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.7-1.ky3
- KYOS-F: Add account password expiration policy.
- KYOS-F: Delete upower library dependency.

* Thu Jun 24 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.6-3.kb1
- KYOS-B: Add -f option in userdel command to fix the problem that user cannot be deleted when the user login and then logout.

* Fri Jun 18 2021 longcheng <longcheng@kylinos.com.cn> - 2.0.6-2.kb2
- KYOS-B: Change compilation options (#38890)

* Thu Jun 17 2021 longcheng <longcheng@kylinos.com.cn> - 2.0.6-2.kb1
- KYOS-R: rebuild for KY3.4-4-dev

* Wed Jun 16 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.6-2.ky3
- KYOS-F: Add translation for dbus authoriation failed.

* Wed Jun 09 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.6-1.ky3
- KYOS-F: Add cmake variables for enable/disable plugins.

* Fri Jun 04 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.5-1.ky3
- KYOS-B: Fix the name error in greeter service file.

* Thu May 27 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.4-1.ky3
- KYOS-B: Fix the compile error in KY3.3-6.
- KYOS-F: Rename these header files which suffix is _i.h to xxx-i.h

* Thu May 13 2021 tangjei02 <tangjie02@kylinos.com.cn> 2.0.3-1.ky3 
- KYOS-F: The first parameter of function SetAutologinUser is changed to user name instead of user uid.
- KYOS-F: Rename dbus, file, class and variable and provide kiran-greeter.conf.
- KYOS-F: Cache user infomation for root.

* Wed Apr 14 2021 yangxiaoqing <yangxiaoqing@kylinos.com.cn> 2.0.2+alpha2-2.ky3.kb1
- KYOS-C: Set plugin of greeter-settings available. 
- KYOS-B: Fix the segment error of GreeterSettingsManager::get_background_file().

* Thu Apr 01 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.2+alpha2-2.ky3
- Delete third party and replace by pkg_search_module.

* Sat Mar 27 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.2+alpha2-1.ky3
- KYOS-B: Fix the display errors of disks and eths in ft machine.

* Thu Mar 25 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.2+alpha1-2.ky3.kb3
- KYOS-B: Fix the display error of the hardware info in sw machine.

* Tue Mar 23 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.2+alpha1-2.ky3.kb2
- KYOS-B: Fix the problem that disk info cannot be displayed in KY3.3-9.

* Mon Mar 22 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.2+alpha1-2.ky3.kb1
- KYOS-F: The hostname set by SetHostName function is restored when system reboot.

* Fri Mar 19 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.2+alpha1-2.ky3
- KYOS-B: Fix the UnicodeEncodeError when generate source files by gdbus-codegen-glibmm. 

* Thu Mar 18 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.2+alpha1-1.ky3
- KYOS-B: Fix the compile error in KY3.3-9.
- KYOS-F: Add authentication manager for fingerprint and face datas.

* Wed Mar 17 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha6-1.ky3.kb2
- KYOS-F: Disable greeter and display plugins.

* Mon Mar 15 2021 yangxiaoqing <yangxiaoqing@kylinos.com.cn> 2.0.1+alpha6-1.ky3.kb1
- KYOS-C: Remove unused dependent library.
- KYOS-P: Modify the file name of dbus xml.

* Thu Mar 04 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha6-1.ky3
- KYOS-F: Add systeminfo and greeter-settings plugins.
- KYOS-F: Add timedate display format settings.

* Mon Feb 01 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha5-2.ky3
- KYOS-F: Replace the logs output function with zlog.
- KYOS-F: Enable account and display setting plugins.

* Mon Dec 07 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha5-1.ky3.kb1
- KYOS-B: Disable account setting plugin.

* Mon Nov 30 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha5-1.ky3
- KYOS-B: Add kiran-session-daemon which contain display setting plugin.

* Tue Nov 17 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha4-3.ky3
- KYOS-B: Fix the return value error when create user failed.
- KYOS-F: Remove -f option when delete user.
- KYOS-B: Modify /usr/bin/usermod to /usr/sbin/usermod

* Tue Nov 03 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha4-2.ky3
- KYOS-F: Update icon path when icon path is not found.
- KYOS-F: Don't need to verify to change self account password.
- KYOS-F: Separate header file to development package.
- KYOS-F: Add translation for dbus return value.
- KYOS-F: Modify unikylin to kylinsec.

* Mon Oct 12 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha4-1.ky3
- KYOS-F: Support to set user uid when create user.

* Tue Sep 29 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alhpa3-3.ky3
- KYOS-F: Move to tag KY3.4-MATE-modules-dev.

* Tue Sep 29 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alhpa3-2.ky3
- KYOS-B: Fix the compile error that cannot find macro ADJ_SETOFFSET in KY3.3-9
- KYOS-F: Add files monitor for /etc/adjtime, /etc/localtime and ntp service path

* Sun Sep 27 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alhpa3-1.ky3.kb2
- KYOS-F: Apply the Patch1001 file.

* Sun Sep 27 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alhpa3-1.ky3.kb1
- KYOS-B: Fix the installing path error.

* Tue Sep 22 2020 tangjie02 <tangjie02@kylinos.com.cn> 2.0.1+alpha3-1.ky3
- KYOS-B: Fix plugins loading error due to KCC_PLUGIN_DIR variable no found.

* Fri Sep 18 2020 songchuanfei <songchuanfei@kylinos.com.cn> 2.0.1~alpha2-1.ky3
- New upstream source 2.0.1~alpha2

* Thu Sep 17 2020 songchuanfei <songchuanfei@kylinos.com.cn> 2.0.1~alpha1-3.ky3
- KYOS-F: Fix build error for lack of dependencies

* Thu Sep 17 2020 songchuanfei <songchuanfei@kylinos.com.cn> 2.0.1~alpha1-2.ky3
- KYOS-F: Enable system daemon in post section
- KYOS-F: Stop system daemon service before uninstall

* Thu Sep 17 2020 songchuanfei <songchuanfei@kylinos.com.cn> 2.0.1~alpha1-1.ky3
- New upstream source

